{
  "_class_name": "HunyuanVideo_1_5_DiffusionTransformer",
  "_diffusers_version": "0.35.0",
  "attn_mode": "flex-block-attn",
  "attn_param": {
    "attn_mask_share_within_head": 0,
    "attn_pad_type": "zero",
    "attn_sparse_type": "ssta",
    "attn_use_text_mask": 1,
    "ssta_adaptive_pool": null,
    "ssta_lambda": 0.7,
    "ssta_sampling_type": "importance",
    "ssta_threshold": 0.0,
    "ssta_topk": 64,
    "tile_size": [
      6,
      8,
      8
    ],
    "win_ratio": 10,
    "win_size": [
      [
        3,
        3,
        3
      ]
    ],
    "win_type": "fixed"
  },
  "concat_condition": true,
  "glyph_byT5_v2": true,
  "guidance_embed": false,
  "heads_num": 16,
  "hidden_size": 2048,
  "ideal_resolution": "720p",
  "ideal_task": "i2v",
  "in_channels": 32,
  "is_reshape_temporal_channels": false,
  "mlp_act_type": "gelu_tanh",
  "mlp_width_ratio": 4,
  "mm_double_blocks_depth": 54,
  "mm_single_blocks_depth": 0,
  "out_channels": 32,
  "patch_size": [
    1,
    1,
    1
  ],
  "qk_norm": true,
  "qk_norm_type": "rms",
  "qkv_bias": true,
  "rope_dim_list": [
    16,
    56,
    56
  ],
  "rope_theta": 256,
  "text_pool_type": null,
  "text_projection": "single_refiner",
  "text_states_dim": 3584,
  "text_states_dim_2": null,
  "use_attention_mask": true,
  "use_cond_type_embedding": true,
  "use_meanflow": false,
  "vision_projection": "linear",
  "vision_states_dim": 1152
}
